evas::textblock Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::textblock Struct Reference

Class textblock. More...

## Public Member Functions
| textblock (Eo *eo)
| Eo Constructor. More...
| textblock (std::nullptr_t)
| nullptr_t Constructor. More...
| textblock (textblock const &other)
| Copy Constructor.
bool | line_number_geometry_get (int line_, Evas_Coord *cx_, Evas_Coord *cy_, Evas_Coord *cw_, Evas_Coord *ch_) const
| Get the geometry of a line number. More...
::efl::eina::string_view | replace_char_get () const
| Get the "replacement character" for given textblock object. More...
void | style_user_pop () const
| Del the from the top of the user style stack. More...
Evas_Textblock_Cursor * | cursor_new () const
| Create a new cursor, associate it to the obj and init it to point to the start of the textblock. More...
::efl::eina::crange_list< ::evas::object > | node_format_list_get (::efl::eina::string_view anchor_) const
| No description supplied by the EAPI. More...
const Evas_Textblock_Style * | style_user_peek () const
| Get (don't remove) the style at the top of the user style stack. More...
void | node_format_remove_pair (Evas_Object_Textblock_Node_Format *n_) const
| Remove a format node and its match. More...
void | clear () const
| Clear the textblock object. More...
void | style_user_push (Evas_Textblock_Style *ts_) const
| Push ts to the top of the user style stack. More...
::efl::eina::string_view | text_markup_get () const
| Return the markup of the object. More...
void | text_markup_set (::efl::eina::string_view text_) const
| Sets the tetxblock's text to the markup text. More...
double | valign_get () const
| Gets the vertical alignment of a textblock. More...
void | valign_set (double align_) const
| Sets the vertical alignment of text within the textblock object as a whole. More...
::efl::eina::string_view | bidi_delimiters_get () const
| Gets the BiDi delimiters used in the textblock. More...
void | bidi_delimiters_set (::efl::eina::string_view delim_) const
| Sets the BiDi delimiters used in the textblock. More...
void | replace_char_set (::efl::eina::string_view ch_) const
| Set the "replacement character" to use for the given textblock object. More...
bool | legacy_newline_get () const
| Gets newline mode. More...
void | legacy_newline_set (bool mode_) const
| Sets newline mode. More...
const Evas_Textblock_Style * | style_get () const
| Return the style of an object. More...
void | style_set (const Evas_Textblock_Style *ts_) const
| Set the objects style to ts. More...
const Evas_Object_Textblock_Node_Format * | node_format_first_get () const
| Returns the first format node. More...
void | size_formatted_get (Evas_Coord *w_, Evas_Coord *h_) const
| Get the formatted width and height. More...
const Evas_Object_Textblock_Node_Format * | node_format_last_get () const
| Returns the last format node. More...
Evas_Textblock_Cursor * | cursor_get () const
| Return the object's main cursor. More...
void | size_native_get (Evas_Coord *w_, Evas_Coord *h_) const
| Get the native width and height. More...
void | style_insets_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| No description supplied by the EAPI. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| textblock (::efl::eo::parent_type _p)
| Constructs a new evas::textblock object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
bool | smart_type_check (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
::efl::eina::string_view | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (::efl::eina::string_view type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
::evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (::evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
::efl::eina::string_view | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (::efl::eina::string_view name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
::evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
::efl::eina::crange_list< ::evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
::evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Deleted (called before Free)
template<typename T >
void | callback_del_call (T *info)
| Object Being Deleted (called before Free)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class textblock.

## Constructor & Destructor Documentation

evas::textblock::textblock | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::textblock object.

Constructs a new evas::textblock object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::textblock my_textblock(efl::eo::parent = parent_object);

See also
  textblock(Eo* eo)

evas::textblock::textblock | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::textblock::textblock | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool evas::textblock::line_number_geometry_get | ( | int | line_,
|  | Evas_Coord * | cx_,
|  | Evas_Coord * | cy_,
|  | Evas_Coord * | cw_,
|  | Evas_Coord * | ch_
| ) |  | const

Get the geometry of a line number.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise.

Parameters

  | line | the line number.
  [out] | cx | x coord of the line.
  [out] | cy | y coord of the line.
  [out] | cw | w coord of the line.
  [out] | ch | h coord of the line.

::efl::eina::string_view evas::textblock::replace_char_get | ( |  | ) | const

Get the "replacement character" for given textblock object.

Returns `NULL` if no replacement character is in use.

Returns
  Replacement character or `NULL`.

void evas::textblock::style_user_pop | ( |  | ) | const

Del the from the top of the user style stack.

See also
  evas_object_textblock_style_get

Since
  1.2

Evas_Textblock_Cursor* evas::textblock::cursor_new | ( |  | ) | const

Create a new cursor, associate it to the obj and init it to point to the start of the textblock.

Association to the object means the cursor will be updated when the object will change.

Note
  if you need speed and you know what you are doing, it's slightly faster to just allocate the cursor yourself and not associate it. (only people developing the actual object, and not users of the object).

Returns
  the new cursor.

::efl::eina::crange_list< ::evas::object > evas::textblock::node_format_list_get | ( | ::efl::eina::string_view | anchor_ | ) | const

No description supplied by the EAPI.

Parameters

  anchor |

const Evas_Textblock_Style* evas::textblock::style_user_peek | ( |  | ) | const

Get (don't remove) the style at the top of the user style stack.

Returns
  the style of the object.

See also
  evas_object_textblock_style_get

Since
  1.2

void evas::textblock::node_format_remove_pair | ( | Evas_Object_Textblock_Node_Format * | n_ | ) | const

Remove a format node and its match.

Parameters

  n |

void evas::textblock::clear | ( |  | ) | const

Clear the textblock object.

Note
  Does NOT free the Evas object itself.

Returns
  nothing.

void evas::textblock::style_user_push | ( | Evas_Textblock_Style * | ts_ | ) | const

Push ts to the top of the user style stack.

FIXME: API is solid but currently only supports 1 style in the stack.

The user style overrides the corresponding elements of the regular style. This is the proper way to do theme overrides in code.

Returns
  Returns no value.

See also
  evas_object_textblock_style_set

Since
  1.2

Parameters

  ts | the style to set.

::efl::eina::string_view evas::textblock::text_markup_get | ( |  | ) | const

Return the markup of the object.

Returns
  the markup text of the object.

Parameters

  text | the markup text to use.

void evas::textblock::text_markup_set | ( | ::efl::eina::string_view | text_ | ) | const

Sets the tetxblock's text to the markup text.

Note
  assumes text does not include the unicode object replacement char (0xFFFC)

Returns
  Return no value.

Parameters

  text | the markup text to use.

double evas::textblock::valign_get | ( |  | ) | const

Gets the vertical alignment of a textblock.

Returns
  The alignment set for the object.

Since
  1.1

Parameters

  align | A value between `0.0` and `1.0`.

void evas::textblock::valign_set | ( | double | align_ | ) | const

Sets the vertical alignment of text within the textblock object as a whole.

Normally alignment is 0.0 (top of object). Values given should be between 0.0 and 1.0 (1.0 bottom of object, 0.5 being vertically centered etc.).

Since
  1.1

Parameters

  align | A value between `0.0` and `1.0`.

::efl::eina::string_view evas::textblock::bidi_delimiters_get | ( |  | ) | const

Gets the BiDi delimiters used in the textblock.

BiDi delimiters are use for in-paragraph separation of bidi segments. This is useful for example in recipients fields of e-mail clients where bidi oddities can occur when mixing RTL and LTR.

Returns
  A null terminated string of delimiters, e.g ",|". If empty, returns `NULL`.

Since
  1.1

Parameters

  delim | A null terminated string of delimiters, e.g ",|".

void evas::textblock::bidi_delimiters_set | ( | ::efl::eina::string_view | delim_ | ) | const

Sets the BiDi delimiters used in the textblock.

BiDi delimiters are use for in-paragraph separation of bidi segments. This is useful for example in recipients fields of e-mail clients where bidi oddities can occur when mixing RTL and LTR.

Since
  1.1

Parameters

  delim | A null terminated string of delimiters, e.g ",|".

void evas::textblock::replace_char_set | ( | ::efl::eina::string_view | ch_ | ) | const

Set the "replacement character" to use for the given textblock object.

Parameters

  ch | The charset name.

bool evas::textblock::legacy_newline_get | ( |  | ) | const

Gets newline mode.

When true, newline character behaves as a paragraph separator.

Returns
  `EINA_TRUE` if in legacy mode, `EINA_FALSE` otherwise.

Since
  1.1

Parameters

  mode | `EINA_TRUE` for legacy mode, `EINA_FALSE` otherwise.

void evas::textblock::legacy_newline_set | ( | bool | mode_ | ) | const

Sets newline mode.

When true, newline character will behave as a paragraph separator.

Since
  1.1

Parameters

  mode | `EINA_TRUE` for legacy mode, `EINA_FALSE` otherwise.

const Evas_Textblock_Style* evas::textblock::style_get | ( |  | ) | const

Return the style of an object.

Returns
  the style of the object.

Parameters

  ts | the style to set.

void evas::textblock::style_set | ( | const Evas_Textblock_Style * | ts_ | ) | const

Set the objects style to ts.

Returns
  Returns no value.

Parameters

  ts | the style to set.

const Evas_Object_Textblock_Node_Format* evas::textblock::node_format_first_get | ( |  | ) | const

Returns the first format node.

Parameters

  format |

void evas::textblock::size_formatted_get | ( | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Get the formatted width and height.

This calculates the actual size after restricting the textblock to the current size of the object. The main difference between this and evas_object_textblock_size_native_get is that the "native" function does not wrapping into account it just calculates the real width of the object if it was placed on an infinite canvas, while this function gives the size after wrapping according to the size restrictions of the object.

For example for a textblock containing the text: "You shall not pass!" with no margins or padding and assuming a monospace font and a size of 7x10 char widths (for simplicity) has a native size of 19x1 and a formatted size of 5x4.

Returns
  Returns no value.

See also
  evas_object_textblock_size_native_get

Parameters

  w | the width of the object.
  h | the height of the object

const Evas_Object_Textblock_Node_Format* evas::textblock::node_format_last_get | ( |  | ) | const

Returns the last format node.

Parameters

  format |

Evas_Textblock_Cursor* evas::textblock::cursor_get | ( |  | ) | const

Return the object's main cursor.

Returns
  The `obj's` main cursor.

void evas::textblock::size_native_get | ( | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Get the native width and height.

This calculates the actual size without taking account the current size of the object. The main difference between this and evas_object_textblock_size_formatted_get is that the "native" function does not take wrapping into account it just calculates the real width of the object if it was placed on an infinite canvas, while the "formatted" function gives the size after wrapping text according to the size restrictions of the object.

For example for a textblock containing the text: "You shall not pass!" with no margins or padding and assuming a monospace font and a size of 7x10 char widths (for simplicity) has a native size of 19x1 and a formatted size of 5x4.

Returns
  Returns no value.

Parameters

  w | the width returned
  h | the height returned

void evas::textblock::style_insets_get | ( | Evas_Coord * | l_,
|  | Evas_Coord * | r_,
|  | Evas_Coord * | t_,
|  | Evas_Coord * | b_
| ) |  | const

No description supplied by the EAPI.

Parameters

  l |
  r |
  t |
  b |